Bug 536392 - (RHQ-746) Bracketed sub-expressions with '=' in them don't work
Bracketed sub-expressions with '=' in them don't work
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.1pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-08-20 15:51 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jweiss: archived+


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-08-20 15:51:00 EDT
<joseph> ewh, that build date trait doesn't work cause it has equals sign in it
 you can file that as a separate bug - assign to me

for example
jboss.system:type=Server:BuildDate
jboss.system:type=Server:StartDate
jboss.system:type=Server:VersionName
Comment 1 Joseph Marques 2008-08-28 00:12:35 EDT
rev1302 - allow '=' characters in names of bracketed sub-expressions; 
Comment 2 Jeff Weiss 2008-09-09 12:59:11 EDT
rev1385, tested the three traits above, using definitions like 

resource.trait[jboss.system:type=Server:VersionName].contains = Tr

The groups were calculated correctly.
Comment 3 Red Hat Bugzilla 2009-11-10 16:16:07 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-746

Note You need to log in before you can comment on or make changes to this bug.